
ThreatFactor NSIA - Feature #58

ThreatScript Definition Environment Scope

04/08/2010 11:35 PM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Scan Engine Estimated time: 0.00 hour

Target version:    

Description

ThreatScripts should save the variables in such a way that other scripts can read them. This is useful for scripts that must run against

a server but don't need to be run for every URL.

History

#1 - 04/08/2010 11:36 PM - Luke Murphey

Below is a description of the different contexts that can be used.

Name Description

Run Context fields can be read by all definitions but are discarded at end of

evaluation

Local Context fields can be read by this definition and URL/rule

Rule Context fields can be read by this definition and rule

Rule Global Context fields can be read by all definitions within rule

Global Context field can be read by definition

Super Global Context no restrictions

#2 - 11/02/2010 01:15 PM - Luke Murphey

- Category set to Scan Engine

#3 - 11/23/2010 04:38 PM - Luke Murphey

Implemented the ability to save data regardless of URL in r759.

#4 - 11/23/2010 04:40 PM - Luke Murphey

- Status changed from New to Closed

- Start date deleted (04/08/2010)

- % Done changed from 0 to 100

Thus far, definitions do not need all of the context defined in this ticket. This ticket will be closed for now. The ticket will be reopened if the additional

functionality is needed.
